> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# VerifyOutboundTestPhoneNumber

POST https://api.voximplant.com/platform_api/VerifyOutboundTestPhoneNumber

Starts a call to the added phone number and pronounces a verification code. You have only 5 verification attempts per day and 100 in total. 1 minute should pass between 2 attempts.

**Example request:** Get the verification code.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/outboundtestnumbers/verify-outbound-test-phone-number

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /VerifyOutboundTestPhoneNumber:
    post:
      operationId: verify-outbound-test-phone-number
      summary: VerifyOutboundTestPhoneNumber
      description: >-
        Starts a call to the added phone number and pronounces a verification
        code. You have only 5 verification attempts per day and 100 in total. 1
        minute should pass between 2 attempts.


        **Example request:** Get the verification code.
      tags:
        - subpackage_outboundtestnumbers
      parameters:
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/outboundtestnumbers_VerifyOutboundTestPhoneNumber_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    VerifyOutboundTestPhoneNumberPostResponsesContentApplicationJsonSchemaResult:
      type: object
      properties:
        daily_attempts_left:
          type: integer
      title: >-
        VerifyOutboundTestPhoneNumberPostResponsesContentApplicationJsonSchemaResult
    outboundtestnumbers_VerifyOutboundTestPhoneNumber_Response_200:
      type: object
      properties:
        daily_attempts_left:
          type: integer
          description: >-
            The number of attempts left for the day. The number is reset every
            day at 00:00 UTC
        result:
          $ref: >-
            #/components/schemas/VerifyOutboundTestPhoneNumberPostResponsesContentApplicationJsonSchemaResult
      title: outboundtestnumbers_VerifyOutboundTestPhoneNumber_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/VerifyOutboundTestPhoneNumber"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/VerifyOutboundTestPhoneNumber';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/VerifyOutboundTestPhoneNumber"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/VerifyOutboundTestPhoneNumber")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/VerifyOutboundTestPhoneNumber")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/VerifyOutboundTestPhoneNumber', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/VerifyOutboundTestPhoneNumber");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/VerifyOutboundTestPhoneNumber")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```